[CP2K-user] Error in installing with PLUMED-2.4.1

Alfio Lazzaro alfio.... at gmail.com
Thu Oct 18 07:15:06 CEST 2018


Hello,
The error refers to the libxsmm library. From your arch file, that library 
should be under the directory:

LIBXSMM_INC = $(GCC_DIR)/libxsmm/1.9/include
LIBXSMM_LIB = $(GCC_DIR)/libxsmm/1.9/lib

Therefore the question is: do you have this library in that directory?

Alfio


Il giorno mercoledì 17 ottobre 2018 14:32:48 UTC+2, Asina P ha scritto:
>
> Dear all,
> I'm trying to install *cp2k 6.1* with *PLUMED-2.4-1*, I followed the 
> instructions on the documentation and edited my ARCH file accordingly, 
> however I am still having this error. I also added the ARCH file that is 
> edited by me -which is the source of the problem I think.
> I also got too much warning about the ELPA
>
> I thought the two were very compatible with each other, yet I think the 
> linking is flawed somehow.
>
> Fatal Error: Can't open module file ‘libxsmm.mod’ for reading at (1): No 
> such file or directory
> compilation terminated.
> /home/asina/cp2k/Makefile:450: recipe for target 'machine.o' failed
> make[3]: *** [machine.o] Error 1
> make[3]: *** Waiting for unfinished jobs....
> /home/asina/cp2k/Makefile:126: recipe for target 'all' failed
> make[2]: *** [all] Error 2
> /home/asina/cp2k/Makefile:115: recipe for target 'popt' failed
> make[1]: *** [popt] Error 2
> Makefile:110: recipe for target 'all' failed
> make: *** [all] Error 2
>
> Any help is appreciated,
> Thanks in advance
> -- 
> *Aşina*
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.cp2k.org/archives/cp2k-user/attachments/20181017/fefbe323/attachment.html>


More information about the CP2K-user mailing list